Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/CheckedFilterCollectionView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/CheckedFilterCollectionView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/CheckedFilterCollectionView.cs	(revision 14996)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Windows.Forms;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/CheckedTransformationListView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/CheckedTransformationListView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/CheckedTransformationListView.cs	(revision 14996)
@@ -32,8 +32,6 @@
 namespace HeuristicLab.DataPreprocessing.Views {
   [View("CheckedTransformationList View")]
-  //[Content(typeof(RunCollectionConstraintCollection), true)]
   [Content(typeof(ICheckedItemList<ITransformation>), false)]
   public partial class CheckedTransformationListView : CheckedItemListView<ITransformation> {
-
     public CheckedTransformationListView() {
       InitializeComponent();
@@ -56,6 +54,5 @@
 
           return (ITransformation)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType(new[] { columnNames });
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ComparisonFilterView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ComparisonFilterView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ComparisonFilterView.cs	(revision 14996)
@@ -32,8 +32,4 @@
   [Content(typeof(ComparisonFilter), false)]
   public partial class ComparisonFilterView : ItemView {
-    public ComparisonFilterView() {
-      InitializeComponent();
-    }
-
     public new ComparisonFilter Content {
       get { return (ComparisonFilter)base.Content; }
@@ -41,9 +37,12 @@
     }
 
+    public ComparisonFilterView() {
+      InitializeComponent();
+    }
 
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      cbAttr.Items.Clear(); //cmbConstraintColumn.Items.Clear();
-      cbFilterOperation.Items.Clear(); //cmbConstraintOperation.Items.Clear();
+      cbAttr.Items.Clear();
+      cbFilterOperation.Items.Clear();
       tbFilterData.Text = string.Empty;
       if (Content != null) {
@@ -121,5 +120,4 @@
     }
 
-
     protected virtual void Content_ComparisonOperationChanged(object sender, EventArgs e) {
       if (Content.ConstraintOperation != (ConstraintOperation)this.cbFilterOperation.SelectedItem)
@@ -178,5 +176,4 @@
         errorProvider.Clear();
     }
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataCompletenessView.cs	(revision 14996)
@@ -24,5 +24,4 @@
 using System.Drawing;
 using System.Linq;
-using System.Windows.Forms;
 using System.Windows.Forms.DataVisualization.Charting;
 using HeuristicLab.Core.Views;
@@ -30,5 +29,4 @@
 
 namespace HeuristicLab.DataPreprocessing.Views {
-
   [View("Histogram View")]
   [Content(typeof(DataCompletenessChartContent), true)]
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataGridContentView.cs	(revision 14996)
@@ -33,5 +33,4 @@
   [Content(typeof(DataGridContent), true)]
   public partial class DataGridContentView : StringConvertibleMatrixView {
-
     private bool isSearching = false;
     private bool updateOnMouseUp = false;
@@ -81,5 +80,4 @@
         base.Sort();
       }
-
     }
 
@@ -141,5 +139,4 @@
       }
     }
-
 
     protected override void PasteValuesToDataGridView() {
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessingView.cs	(revision 14996)
@@ -36,12 +36,11 @@
   [Content(typeof(PreprocessingContext), true)]
   public partial class DataPreprocessingView : NamedItemView {
-
-    public DataPreprocessingView() {
-      InitializeComponent();
-    }
-
     public new PreprocessingContext Content {
       get { return (PreprocessingContext)base.Content; }
       set { base.Content = value; }
+    }
+
+    public DataPreprocessingView() {
+      InitializeComponent();
     }
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessorStarter.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessorStarter.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/DataPreprocessorStarter.cs	(revision 14996)
@@ -29,5 +29,4 @@
 namespace HeuristicLab.DataPreprocessing.Views {
   public class DataPreprocessorStarter : IDataPreprocessorStarter {
-
     public void Start(IDataAnalysisProblemData problemData, IContentView currentView) {
       IAlgorithm algorithm;
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/FilterView.cs	(revision 14996)
@@ -32,4 +32,8 @@
   [Content(typeof(FilterContent), true)]
   public partial class FilterView : ItemView {
+    public new FilterContent Content {
+      get { return (FilterContent)base.Content; }
+      set { base.Content = value; }
+    }
 
     public FilterView() {
@@ -45,9 +49,4 @@
       checkedFilterView.Content.ItemsRemoved += Content_ItemsRemoved;
       checkedFilterView.Content.CheckedItemsChanged += Content_CheckedItemsChanged;
-    }
-
-    public new FilterContent Content {
-      get { return (FilterContent)base.Content; }
-      set { base.Content = value; }
     }
 
@@ -122,5 +121,4 @@
       }
     }
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/HistogramView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/HistogramView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/HistogramView.cs	(revision 14996)
@@ -28,5 +28,4 @@
   [Content(typeof(HistogramContent), true)]
   public partial class HistogramView : PreprocessingChartView {
-
     public new HistogramContent Content {
       get { return (HistogramContent)base.Content; }
@@ -44,13 +43,13 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      classifierComboBox.Items.Clear();
-      classifierComboBox.Items.Add("");
+      groupingComboBox.Items.Clear();
+      groupingComboBox.Items.Add(string.Empty);
 
       if (Content != null) {
         foreach (string var in PreprocessingChartContent.GetVariableNamesForGrouping(Content.PreprocessingData)) {
-          classifierComboBox.Items.Add(var);
+          groupingComboBox.Items.Add(var);
         }
 
-        classifierComboBox.SelectedItem = Content.GroupingVariableName;
+        groupingComboBox.SelectedItem = Content.GroupingVariableName ?? string.Empty;
       }
     }
@@ -62,5 +61,5 @@
 
     private void classifierComboBox_SelectedIndexChanged(object sender, EventArgs e) {
-      Content.GroupingVariableName = classifierComboBox.SelectedItem.ToString();
+      Content.GroupingVariableName = groupingComboBox.SelectedItem.ToString();
 
       // rebuild datatables
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/LineChartView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/LineChartView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/LineChartView.cs	(revision 14996)
@@ -31,12 +31,15 @@
 
 namespace HeuristicLab.DataPreprocessing.Views {
-
   [View("Line Chart View")]
   [Content(typeof(LineChartContent), true)]
   public partial class LineChartView : PreprocessingChartView {
-
     protected Dictionary<string, DataRow> allInOneDataRows;
     protected DataTable allInOneDataTable;
     protected DataTableView allInOneDataTableView;
+
+    public new LineChartContent Content {
+      get { return (LineChartContent)base.Content; }
+      set { base.Content = value; }
+    }
 
     public LineChartView() {
@@ -46,9 +49,4 @@
       allInOneDataRows = new Dictionary<string, DataRow>();
       allInOneDataTable = new DataTable();
-    }
-
-    public new LineChartContent Content {
-      get { return (LineChartContent)base.Content; }
-      set { base.Content = value; }
     }
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs	(revision 14996)
@@ -31,11 +31,14 @@
 
 namespace HeuristicLab.DataPreprocessing.Views {
-
   [View("Manipulation Chart View")]
   [Content(typeof(ManipulationContent), true)]
   public partial class ManipulationView : ItemView {
-
     private Action[] validators;
     private Action[] manipulations;
+
+    public new ManipulationContent Content {
+      get { return (ManipulationContent)base.Content; }
+      set { base.Content = value; }
+    }
 
     public ManipulationView() {
@@ -49,18 +52,18 @@
       tabsPreview.SizeMode = TabSizeMode.Fixed;
 
-      validators = new Action[] { 
-        ()=>validateDeleteColumnsInfo(),
-        ()=>validateDeleteColumnsVariance(),
-        ()=>validateDeleteRowsInfo(),
-        ()=>validateReplaceWith(),
-        ()=>validateShuffle()
+      validators = new Action[] {
+        () => ValidateDeleteColumnsInfo(),
+        () => ValidateDeleteColumnsVariance(),
+        () => ValidateDeleteRowsInfo(),
+        () => ValidateReplaceWith(),
+        () => ValidateShuffle()
       };
 
-      manipulations = new Action[] { 
-        ()=>Content.ManipulationLogic.DeleteColumnsWithMissingValuesGreater(getDeleteColumnsInfo()),
-        ()=>Content.ManipulationLogic.DeleteColumnsWithVarianceSmaller(getDeleteColumnsVariance()),
-        ()=>Content.ManipulationLogic.DeleteRowsWithMissingValuesGreater(getRowsColumnsInfo()),
-        ()=>replaceMissingValues(),
-        ()=>Content.ManipulationLogic.Shuffle(shuffleSeparatelyCheckbox.Checked)
+      manipulations = new Action[] {
+        () => Content.ManipulationLogic.DeleteColumnsWithMissingValuesGreater(GetDeleteColumnsInfo()),
+        () => Content.ManipulationLogic.DeleteColumnsWithVarianceSmaller(GetDeleteColumnsVariance()),
+        () => Content.ManipulationLogic.DeleteRowsWithMissingValuesGreater(GetRowsColumnsInfo()),
+        () => ReplaceMissingValues(),
+        () => Content.ManipulationLogic.Shuffle(shuffleSeparatelyCheckbox.Checked)
       };
     }
@@ -111,17 +114,17 @@
     }
 
-    private double getDeleteColumnsInfo() {
+    private double GetDeleteColumnsInfo() {
       return double.Parse(txtDeleteColumnsInfo.Text);
     }
 
-    private double getDeleteColumnsVariance() {
+    private double GetDeleteColumnsVariance() {
       return double.Parse(txtDeleteColumnsVariance.Text);
     }
 
-    private double getRowsColumnsInfo() {
+    private double GetRowsColumnsInfo() {
       return double.Parse(txtDeleteRowsInfo.Text);
     }
 
-    private void replaceMissingValues() {
+    private void ReplaceMissingValues() {
       var allIndices = Content.SearchLogic.GetMissingValueIndices();
       var columnIndex = cmbVariableNames.SelectedIndex;
@@ -149,8 +152,8 @@
     }
 
-    private void validateDeleteColumnsInfo() {
-      validateDoubleTextBox(txtDeleteColumnsInfo.Text);
+    private void ValidateDeleteColumnsInfo() {
+      ValidateDoubleTextBox(txtDeleteColumnsInfo.Text);
       if (btnApply.Enabled) {
-        var filteredColumns = Content.ManipulationLogic.ColumnsWithMissingValuesGreater(getDeleteColumnsInfo());
+        var filteredColumns = Content.ManipulationLogic.ColumnsWithMissingValuesGreater(GetDeleteColumnsInfo());
         int count = filteredColumns.Count;
         int columnCount = Content.FilterLogic.PreprocessingData.Columns;
@@ -180,8 +183,8 @@
     }
 
-    private void validateDeleteColumnsVariance() {
-      validateDoubleTextBox(txtDeleteColumnsVariance.Text);
+    private void ValidateDeleteColumnsVariance() {
+      ValidateDoubleTextBox(txtDeleteColumnsVariance.Text);
       if (btnApply.Enabled) {
-        var filteredColumns = Content.ManipulationLogic.ColumnsWithVarianceSmaller(getDeleteColumnsVariance());
+        var filteredColumns = Content.ManipulationLogic.ColumnsWithVarianceSmaller(GetDeleteColumnsVariance());
         int count = filteredColumns.Count;
         int columnCount = Content.FilterLogic.PreprocessingData.Columns;
@@ -211,8 +214,8 @@
     }
 
-    private void validateDeleteRowsInfo() {
-      validateDoubleTextBox(txtDeleteRowsInfo.Text);
+    private void ValidateDeleteRowsInfo() {
+      ValidateDoubleTextBox(txtDeleteRowsInfo.Text);
       if (btnApply.Enabled) {
-        int count = Content.ManipulationLogic.RowsWithMissingValuesGreater(getRowsColumnsInfo()).Count;
+        int count = Content.ManipulationLogic.RowsWithMissingValuesGreater(GetRowsColumnsInfo()).Count;
         int rowCount = Content.FilterLogic.PreprocessingData.Rows;
         lblPreviewRowsInfo.Text = count + " row" + (count > 1 || count == 0 ? "s" : "") + " of " + rowCount + " (" + string.Format("{0:F2}%", 100d / rowCount * count) + ") were detected with more than " + txtDeleteRowsInfo.Text + "% missing values.";
@@ -227,5 +230,5 @@
     }
 
-    private void validateReplaceWith() {
+    private void ValidateReplaceWith() {
       btnApply.Enabled = false;
       string replaceWith = (string)cmbReplaceWith.SelectedItem;
@@ -260,5 +263,5 @@
     }
 
-    private void validateShuffle() {
+    private void ValidateShuffle() {
       btnApply.Enabled = true;
       lblShuffleProperties.Enabled = false;
@@ -268,9 +271,4 @@
     }
 
-    public new ManipulationContent Content {
-      get { return (ManipulationContent)base.Content; }
-      set { base.Content = value; }
-    }
-
     private void lstMethods_SelectedIndexChanged(object sender, System.EventArgs e) {
       int index = lstMethods.SelectedIndex;
@@ -308,5 +306,5 @@
     }
 
-    private void validateDoubleTextBox(String text) {
+    private void ValidateDoubleTextBox(String text) {
       btnApply.Enabled = false;
       if (!string.IsNullOrEmpty(text)) {
@@ -319,13 +317,13 @@
 
     private void txtDeleteColumnsInfo_TextChanged(object sender, EventArgs e) {
-      validateDeleteColumnsInfo();
+      ValidateDeleteColumnsInfo();
     }
 
     private void txtDeleteColumnsVariance_TextChanged(object sender, EventArgs e) {
-      validateDeleteColumnsVariance();
+      ValidateDeleteColumnsVariance();
     }
 
     private void txtDeleteRowsInfo_TextChanged(object sender, EventArgs e) {
-      validateDeleteRowsInfo();
+      ValidateDeleteRowsInfo();
     }
 
@@ -334,9 +332,9 @@
       lblValueColon.Visible = isReplaceWithValueSelected;
       txtReplaceValue.Visible = isReplaceWithValueSelected;
-      validateReplaceWith();
+      ValidateReplaceWith();
     }
 
     private void txtReplaceValue_TextChanged(object sender, EventArgs e) {
-      validateReplaceWith();
+      ValidateReplaceWith();
     }
   }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingChartView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingChartView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingChartView.cs	(revision 14996)
@@ -47,5 +47,4 @@
     };
 
-
     public PreprocessingChartView() {
       InitializeComponent();
@@ -89,28 +88,4 @@
       base.CheckedItemsChanged(sender, checkedItems);
 
-      foreach (IndexedItem<StringValue> item in checkedItems.Items) {
-        string variableName = item.Value.Value;
-
-        if (!IsVariableChecked(variableName)) {
-          // not checked -> remove
-          //dataTableView.SetRowEnabled(variableName, false);
-          //dataTablePerVariable.Remove(dataTablePerVariable.Find(x => (x.Name == variableName)));
-        } else {
-          // checked -> add
-          //DataRow row = GetDataRow(variableName);
-          //dataTableView.SetRowEnabled(variableName, true);
-
-          //var pdt = new DataTable(variableName);
-          //pdt.VisualProperties.Title = string.Empty;
-          //pdt.Rows.Add(row);
-          // dataTablePerVariable does not contain unchecked variables => reduce insert position by number of uncheckt variables to correct the index
-          //int uncheckedUntilVariable = checkedItemList.Content.TakeWhile(x => x.Value != variableName).Count(x => !checkedItemList.Content.ItemChecked(x));
-          //dataTables.Insert(item.Index - uncheckedUntilVariable, pdt);
-        }
-      }
-
-      // update chart if not in all in one mode
-      //if (Content != null && !Content.AllInOneMode)
-      //GenerateChart();??
       GenerateLayout();
     }
@@ -153,5 +128,5 @@
     #region Generate Layout
     protected void GenerateLayout() {
-      if (suppressCheckedChangedUpdate)
+      if (SuppressCheckedChangedUpdate)
         return;
 
@@ -192,7 +167,4 @@
 
     private void AddDataTableToTableLayout(DataTableView dataTable, int row, int col) {
-      //dataView.Classification = Classification;
-      //dataView.IsDetailedChartViewEnabled = IsDetailedChartViewEnabled;
-
       if (dataTable == null) {
         // dummy panel for empty field 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingCheckedVariablesView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingCheckedVariablesView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingCheckedVariablesView.cs	(revision 14996)
@@ -33,6 +33,5 @@
   [Content(typeof(PreprocessingChartContent), false)]
   public partial class PreprocessingCheckedVariablesView : ItemView {
-
-    protected bool suppressCheckedChangedUpdate = false;
+    protected bool SuppressCheckedChangedUpdate = false;
 
     public new PreprocessingChartContent Content {
@@ -122,38 +121,33 @@
         Content.VariableItemList.Remove(stringValue);
     }
-    protected virtual void UpdateVariable(string name) {
-    }
-    protected virtual void ResetAllVariables() {
-    }
-
-    protected virtual void CheckedChangedUpdate() {
-
-    }
+    protected virtual void UpdateVariable(string name) { }
+    protected virtual void ResetAllVariables() { }
+    protected virtual void CheckedChangedUpdate() { }
 
     private void checkInputsTargetButton_Click(object sender, System.EventArgs e) {
-      suppressCheckedChangedUpdate = true;
+      SuppressCheckedChangedUpdate = true;
       foreach (var name in Content.VariableItemList) {
         var isInputTarget = Content.PreprocessingData.InputVariables.Contains(name.Value) || Content.PreprocessingData.TargetVariable == name.Value;
         Content.VariableItemList.SetItemCheckedState(name, isInputTarget);
       }
-      suppressCheckedChangedUpdate = false;
+      SuppressCheckedChangedUpdate = false;
       CheckedChangedUpdate();
     }
 
     private void checkAllButton_Click(object sender, System.EventArgs e) {
-      suppressCheckedChangedUpdate = true;
+      SuppressCheckedChangedUpdate = true;
       foreach (var name in Content.VariableItemList) {
         Content.VariableItemList.SetItemCheckedState(name, true);
       }
-      suppressCheckedChangedUpdate = false;
+      SuppressCheckedChangedUpdate = false;
       CheckedChangedUpdate();
     }
 
     private void uncheckAllButton_Click(object sender, System.EventArgs e) {
-      suppressCheckedChangedUpdate = true;
+      SuppressCheckedChangedUpdate = true;
       foreach (var name in Content.VariableItemList) {
         Content.VariableItemList.SetItemCheckedState(name, false);
       }
-      suppressCheckedChangedUpdate = false;
+      SuppressCheckedChangedUpdate = false;
       CheckedChangedUpdate();
     }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingFeatureCorrelationView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingFeatureCorrelationView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/PreprocessingFeatureCorrelationView.cs	(revision 14996)
@@ -30,5 +30,4 @@
   [Content(typeof(CorrelationMatrixContent), true)]
   public partial class PreprocessingFeatureCorrelationView : AsynchronousContentView {
-
     public new CorrelationMatrixContent Content {
       get { return (CorrelationMatrixContent)base.Content; }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/RenameColumnsDialog.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/RenameColumnsDialog.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/RenameColumnsDialog.cs	(revision 14996)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.DataPreprocessing.Views {
   public partial class RenameColumnsDialog : Form {
-
     public IList<string> ColumnNames {
       get {
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotMultiView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotMultiView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotMultiView.cs	(revision 14996)
@@ -42,4 +42,9 @@
     private readonly IDictionary<Tuple<string/*col*/, string/*row*/>, Control> bodyCache = new Dictionary<Tuple<string, string>, Control>();
 
+    public new MultiScatterPlotContent Content {
+      get { return (MultiScatterPlotContent)base.Content; }
+      set { base.Content = value; }
+    }
+
     public ScatterPlotMultiView() {
       InitializeComponent();
@@ -78,17 +83,12 @@
     }
 
-    public new MultiScatterPlotContent Content {
-      get { return (MultiScatterPlotContent)base.Content; }
-      set { base.Content = value; }
-    }
-
     protected override void OnContentChanged() {
       base.OnContentChanged();
       if (Content != null) {
-        groupingComboBox.Items.Add("");
+        groupingComboBox.Items.Add(string.Empty);
         foreach (string var in PreprocessingChartContent.GetVariableNamesForGrouping(Content.PreprocessingData)) {
           groupingComboBox.Items.Add(var);
         }
-        groupingComboBox.SelectedItem = Content.GroupingVariable;
+        groupingComboBox.SelectedItem = Content.GroupingVariable ?? string.Empty;
 
         // uncheck variables that max 20 vars are selected initially
@@ -100,9 +100,9 @@
             numChecked, numChecked * numChecked);
           if (MessageBox.Show(this, message, "Reduce befor continue?", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.Yes) {
-            suppressCheckedChangedUpdate = true;
+            SuppressCheckedChangedUpdate = true;
             foreach (var var in list.CheckedItems.Reverse().Take(numChecked - 20)) {
               Content.VariableItemList.SetItemCheckedState(var.Value, false);
             }
-            suppressCheckedChangedUpdate = false;
+            SuppressCheckedChangedUpdate = false;
           }
         }
@@ -123,5 +123,5 @@
     protected override void CheckedItemsChanged(object sender, CollectionItemsChangedEventArgs<IndexedItem<StringValue>> checkedItems) {
       base.CheckedItemsChanged(sender, checkedItems);
-      if (suppressCheckedChangedUpdate) return;
+      if (SuppressCheckedChangedUpdate) return;
 
       foreach (var variable in checkedItems.Items) {
@@ -207,5 +207,4 @@
       // hide controls
       for (int r = 0; r < tlp.RowCount; r++) {
-        //tlp.Controls.Remove(tlp.GetControlFromPosition(idx, r));
         var control = tlp.GetControlFromPosition(idx, r);
         if (control != null)
@@ -217,5 +216,4 @@
       // hide controls
       for (int c = 0; c < tlp.ColumnCount; c++) {
-        //tlp.Controls.Remove(tlp.GetControlFromPosition(c, idx));
         var control = tlp.GetControlFromPosition(c, idx);
         if (control != null)
@@ -426,8 +424,6 @@
             Dock = DockStyle.Fill,
             ShowName = false
-            //ShowLegend = false,
-            //XAxisFormat = "G3"
           };
-          //pcv.ChartDoubleClick += HistogramDoubleClick;
+          //pcv.ChartDoubleClick += HistogramDoubleClick;  // ToDo: not working; double click is already handled by the chart
           bodyCache.Add(key, pcv);
         } else { //scatter plot
@@ -473,5 +469,5 @@
     #region Generate Charts
     private void GenerateCharts(bool clearCache) {
-      if (Content == null || suppressCheckedChangedUpdate) return;
+      if (Content == null || SuppressCheckedChangedUpdate) return;
 
       // Clear old layouts and cache
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotSingleView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotSingleView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotSingleView.cs	(revision 14996)
@@ -28,5 +28,4 @@
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
 using RegressionType = HeuristicLab.Analysis.ScatterPlotDataRowVisualProperties.ScatterPlotDataRowRegressionType;
 
@@ -78,5 +77,5 @@
         comboBoxGroup.Items.Add(var);
       }
-      comboBoxGroup.SelectedItem = Content.GroupingVariable;
+      comboBoxGroup.SelectedItem = Content.GroupingVariable ?? NoGroupItem;
 
       // use x and y variable from content
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/SearchAndReplaceDialog.cs	(revision 14996)
@@ -43,12 +43,12 @@
 
   public partial class SearchAndReplaceDialog : Form {
-    private string[] cmbItemsText = { "Value", "Average", "Median", "Random", "Most Common", "Interpolation" };
-    private string[] cmbComparisonOperatorText = { "==", "<", "<=", ">", ">=", "!=" };
+    private static readonly string[] ItemsText = { "Value", "Average", "Median", "Random", "Most Common", "Interpolation" };
+    private static readonly string[] ComparisonOperatorText = { "==", "<", "<=", ">", ">=", "!=" };
 
     public SearchAndReplaceDialog() {
       InitializeComponent();
-      cmbReplaceWith.Items.AddRange(cmbItemsText);
+      cmbReplaceWith.Items.AddRange(ItemsText);
       cmbReplaceWith.SelectedIndex = (int)ReplaceAction.Value;
-      cmbComparisonOperator.Items.AddRange(cmbComparisonOperatorText);
+      cmbComparisonOperator.Items.AddRange(ComparisonOperatorText);
       cmbComparisonOperator.SelectedIndex = (int)ComparisonOperation.Equal;
     }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/StatisticsView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/StatisticsView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/StatisticsView.cs	(revision 14996)
@@ -31,13 +31,9 @@
 
 namespace HeuristicLab.DataPreprocessing.Views {
-
   [View("Statistics View")]
   [Content(typeof(StatisticsContent), true)]
   public partial class StatisticsView : ItemView {
-
     private bool horizontal = true;
-
     private StringMatrix statisticsMatrix;
-
     private static readonly string[] StatisticsNames = new[] {
       "Type",
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/TransformationView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/TransformationView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/TransformationView.cs	(revision 14996)
@@ -28,9 +28,7 @@
 
 namespace HeuristicLab.DataPreprocessing.Views {
-
   [View("Transformation View")]
   [Content(typeof(TransformationContent), true)]
   public partial class TransformationView : AsynchronousContentView {
-
     public new TransformationContent Content {
       get { return (TransformationContent)base.Content; }
@@ -52,14 +50,8 @@
     }
 
-    /// <summary>
-    /// Adds eventhandlers to the current instance.
-    /// </summary>
     protected override void RegisterContentEvents() {
       Content.FilterLogic.FilterChanged += FilterLogic_FilterChanged;
     }
 
-    /// <summary>
-    /// Removes the eventhandlers from the current instance.
-    /// </summary>
     protected override void DeregisterContentEvents() {
       Content.FilterLogic.FilterChanged -= FilterLogic_FilterChanged;
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/Utils/FindPreprocessingItemsIterator.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/Utils/FindPreprocessingItemsIterator.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/Utils/FindPreprocessingItemsIterator.cs	(revision 14996)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.DataPreprocessing.Views {
   class FindPreprocessingItemsIterator : IFindPreprocessingItemsIterator {
-
     private IDictionary<int, IList<int>> items;
     private Tuple<int, int> currentCell;
@@ -32,5 +31,5 @@
     public FindPreprocessingItemsIterator(IDictionary<int, IList<int>> items) {
       this.items = items;
-      Reset(); 
+      Reset();
     }
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ViewShortcutListView.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ViewShortcutListView.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing.Views/3.4/ViewShortcutListView.cs	(revision 14996)
@@ -29,5 +29,4 @@
   [Content(typeof(IItemList<IViewShortcut>), true)]
   public partial class ViewShortcutListView : ItemListView<IViewShortcut> {
-
     public ViewShortcutListView() {
       InitializeComponent();
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/CorrelationMatrixContent.cs	(revision 14996)
@@ -32,5 +32,5 @@
     }
 
-    private PreprocessingContext Context { get; set; }
+    public PreprocessingContext Context { get; private set; }
     public ITransactionalPreprocessingData PreprocessingData {
       get { return Context.Data; }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/DataCompletenessChartContent.cs	(revision 14996)
@@ -32,5 +32,4 @@
     }
 
-    //public DataGridLogic DataGridLogic { get; private set; }
     public SearchLogic SearchLogic { get; private set; }
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/DataGridContent.cs	(revision 14996)
@@ -32,10 +32,9 @@
   [Item("Data Grid", "Represents a data grid.")]
   public class DataGridContent : Item, IStringConvertibleMatrix, IViewShortcut {
-
-    public ITransactionalPreprocessingData PreProcessingData { get; private set; }
-
     public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
     }
+
+    public ITransactionalPreprocessingData PreProcessingData { get; private set; }
 
     public ManipulationLogic ManipulationLogic { get; private set; }
@@ -43,46 +42,26 @@
 
     public int Rows {
-      get {
-        return PreProcessingData.Rows;
-      }
-      set {
-        //does nothing
-      }
+      get { return PreProcessingData.Rows; }
+      set { }
     }
 
     public int Columns {
-      get {
-        return PreProcessingData.Columns;
-      }
-      set {
-        //does nothing
-      }
+      get { return PreProcessingData.Columns; }
+      set { }
     }
 
     public IEnumerable<string> ColumnNames {
-      get {
-        return PreProcessingData.VariableNames;
-      }
-      set {
-
-      }
+      get { return PreProcessingData.VariableNames; }
+      set { }
     }
 
     public IEnumerable<string> RowNames {
-      get {
-        return Enumerable.Range(1, Rows).Select(n => n.ToString());
-      }
-      set {
-        throw new NotSupportedException();
-      }
+      get { return Enumerable.Range(1, Rows).Select(n => n.ToString()); }
+      set { throw new NotSupportedException(); }
     }
 
     public bool SortableView {
-      get {
-        return true;
-      }
-      set {
-        throw new NotSupportedException();
-      }
+      get { return true; }
+      set { throw new NotSupportedException(); }
     }
 
@@ -91,10 +70,8 @@
     }
 
-
     public IDictionary<int, IList<int>> Selection {
       get { return PreProcessingData.Selection; }
       set { PreProcessingData.Selection = value; }
     }
-
 
     public DataGridContent(ITransactionalPreprocessingData preProcessingData, ManipulationLogic theManipulationLogic, FilterLogic theFilterLogic) {
@@ -137,5 +114,4 @@
     }
 
-
     #region unused stuff/not implemented but necessary due to IStringConvertibleMatrix
 #pragma warning disable 0067
@@ -154,8 +130,6 @@
     public event EventHandler<EventArgs<int, int>> ItemChanged;
     public event EventHandler Reset;
-
 #pragma warning restore 0067
     #endregion
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/FilterContent.cs	(revision 14996)
@@ -28,33 +28,17 @@
   [Item("Filter", "Represents the filter grid.")]
   public class FilterContent : Item, IViewShortcut {
-
     public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Filter; }
     }
 
-    private ICheckedItemCollection<IFilter> filters = new CheckedItemCollection<IFilter>();
-
     public FilterLogic FilterLogic { get; private set; }
 
-    public ICheckedItemCollection<IFilter> Filters {
-      get {
-        return this.filters;
-      }
-      set {
-        this.filters = value;
-      }
-    }
+    public ICheckedItemCollection<IFilter> Filters { get; private set; }
 
-    private bool isAndCombination = true;
-    public bool IsAndCombination {
-      get {
-        return this.isAndCombination;
-      }
-      set {
-        this.isAndCombination = value;
-      }
-    }
+    public bool IsAndCombination { get; set; }
 
     public FilterContent(FilterLogic filterLogic) {
+      Filters = new CheckedItemCollection<IFilter>();
+      IsAndCombination = true;
       FilterLogic = filterLogic;
     }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/LineChartContent.cs	(revision 14996)
@@ -28,10 +28,5 @@
   [Item("Line Chart", "Represents the line chart grid.")]
   public class LineChartContent : PreprocessingChartContent {
-
-    private bool allInOneMode = true;
-    public bool AllInOneMode {
-      get { return this.allInOneMode; }
-      set { this.allInOneMode = value; }
-    }
+    public bool AllInOneMode { get; set; }
 
     public static new Image StaticItemImage {
@@ -41,9 +36,10 @@
     public LineChartContent(IFilteredPreprocessingData preprocessingData)
       : base(preprocessingData) {
+      AllInOneMode = true;
     }
 
     public LineChartContent(LineChartContent content, Cloner cloner)
       : base(content, cloner) {
-      this.allInOneMode = content.allInOneMode;
+      this.AllInOneMode = content.AllInOneMode;
     }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/ManipulationContent.cs	(revision 14996)
@@ -28,21 +28,16 @@
   [Item("Manipulation", "Represents the available manipulations on a data set.")]
   public class ManipulationContent : Item, IViewShortcut {
-
-    private ManipulationLogic manipulationLogic;
-    private SearchLogic searchLogic;
-    private FilterLogic filterLogic;
-
-    public ManipulationLogic ManipulationLogic { get { return manipulationLogic; } }
-    public SearchLogic SearchLogic { get { return searchLogic; } }
-    public FilterLogic FilterLogic { get { return filterLogic; } }
-
     public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
     }
 
-    public ManipulationContent(ManipulationLogic theManipulationLogic, SearchLogic theSearchLogic, FilterLogic theFilterLogic) {
-      manipulationLogic = theManipulationLogic;
-      searchLogic = theSearchLogic;
-      filterLogic = theFilterLogic;
+    public ManipulationLogic ManipulationLogic { get; private set; }
+    public SearchLogic SearchLogic { get; private set; }
+    public FilterLogic FilterLogic { get; private set; }
+
+    public ManipulationContent(ManipulationLogic manipulationLogic, SearchLogic searchLogic, FilterLogic filterLogic) {
+      ManipulationLogic = manipulationLogic;
+      SearchLogic = searchLogic;
+      FilterLogic = filterLogic;
     }
 
@@ -52,6 +47,4 @@
       return new ManipulationContent(this, cloner);
     }
-
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/MultiScatterPlotContent.cs	(revision 14996)
@@ -28,4 +28,7 @@
   [Item("Multi Scatter Plot", "Represents a multi scatter plot.")]
   public class MultiScatterPlotContent : ScatterPlotContent {
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
+    }
 
     public MultiScatterPlotContent(IFilteredPreprocessingData preprocessingData)
@@ -37,8 +40,4 @@
     }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
-    }
-
     public override IDeepCloneable Clone(Cloner cloner) {
       return new MultiScatterPlotContent(this, cloner);
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/PreprocessingChartContent.cs	(revision 14996)
@@ -33,5 +33,4 @@
   [Item("PreprocessingChart", "Represents a preprocessing chart.")]
   public class PreprocessingChartContent : Item, IViewShortcut {
-
     public enum LegendOrder {
       Appearance,
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/ScatterPlotContent.cs	(revision 14996)
@@ -105,5 +105,4 @@
       return scatterPlot;
     }
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/SingleScatterPlotContent.cs	(revision 14996)
@@ -28,4 +28,7 @@
   [Item("Scatter Plot", "Represents a scatter plot.")]
   public class SingleScatterPlotContent : ScatterPlotContent {
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
+    }
 
     public string SelectedXVariable { get; set; }
@@ -43,8 +46,4 @@
     }
 
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
-    }
-
     public override IDeepCloneable Clone(Cloner cloner) {
       return new SingleScatterPlotContent(this, cloner);
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/StatisticsContent.cs	(revision 14996)
@@ -27,23 +27,18 @@
   [Item("Statistics", "Represents the statistics grid.")]
   public class StatisticsContent : Item, IViewShortcut {
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Object; }
+    }
+
     public ITransactionalPreprocessingData PreprocessingData { get; private set; }
+    public StatisticsLogic StatisticsLogic { get; private set; }
 
-    private readonly StatisticsLogic statisticsLogic;
-    public StatisticsContent(ITransactionalPreprocessingData preProcessingData, StatisticsLogic theStatisticsLogic) {
+    public StatisticsContent(ITransactionalPreprocessingData preProcessingData, StatisticsLogic statisticsLogic) {
       PreprocessingData = preProcessingData;
-      statisticsLogic = theStatisticsLogic;
+      StatisticsLogic = statisticsLogic;
     }
 
     public StatisticsContent(StatisticsContent content, Cloner cloner)
       : base(content, cloner) {
-
-    }
-
-    public StatisticsLogic StatisticsLogic {
-      get { return statisticsLogic; }
-    }
-
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Object; }
     }
 
@@ -53,8 +48,7 @@
 
     public event DataPreprocessingChangedEventHandler Changed {
-      add { statisticsLogic.Changed += value; }
-      remove { statisticsLogic.Changed -= value; }
+      add { StatisticsLogic.Changed += value; }
+      remove { StatisticsLogic.Changed -= value; }
     }
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Content/TransformationContent.cs	(revision 14996)
@@ -28,4 +28,7 @@
   [Item("Transformation", "Represents the transformation grid.")]
   public class TransformationContent : Item, IViewShortcut {
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
+    }
 
     public IPreprocessingData Data { get; private set; }
@@ -33,8 +36,4 @@
 
     public ICheckedItemList<ITransformation> CheckedTransformationList { get; private set; }
-
-    public static new Image StaticItemImage {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
-    }
 
     public TransformationContent(IPreprocessingData data, FilterLogic filterLogic) {
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/FilteredPreprocessingData.cs	(revision 14996)
@@ -271,5 +271,4 @@
 
     #region IPreprocessingData Members
-
     public bool Validate(string value, out string errorMessage, int columnIndex) {
       return originalData.Validate(value, out errorMessage, columnIndex);
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/IPreprocessingData.cs	(revision 14996)
@@ -27,5 +27,4 @@
 
 namespace HeuristicLab.DataPreprocessing {
-
   public interface IPreprocessingData : INamedItem {
     T GetCell<T>(int columnIndex, int rowIndex);
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/ITransactionalPreprocessingData.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/ITransactionalPreprocessingData.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/ITransactionalPreprocessingData.cs	(revision 14996)
@@ -24,5 +24,4 @@
 namespace HeuristicLab.DataPreprocessing {
   public interface ITransactionalPreprocessingData : IPreprocessingData {
-
     event DataPreprocessingChangedEventHandler Changed;
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/PreprocessingData.cs	(revision 14996)
@@ -33,12 +33,8 @@
   [Item("PreprocessingData", "Represents data used for preprocessing.")]
   public abstract class PreprocessingData : NamedItem, IPreprocessingData {
-
     public IntRange TrainingPartition { get; set; }
     public IntRange TestPartition { get; set; }
 
-    protected IList<ITransformation> transformations;
-    public IList<ITransformation> Transformations {
-      get { return transformations; }
-    }
+    public IList<ITransformation> Transformations { get; protected set; }
 
     protected IList<IList> variableValues;
@@ -85,5 +81,5 @@
       TrainingPartition = (IntRange)original.TrainingPartition.Clone(cloner);
       TestPartition = (IntRange)original.TestPartition.Clone(cloner);
-      transformations = new List<ITransformation>(original.transformations.Select(cloner.Clone));
+      Transformations = new List<ITransformation>(original.Transformations.Select(cloner.Clone));
 
       InputVariables = new List<string>(original.InputVariables);
@@ -97,5 +93,5 @@
       Name = "Preprocessing Data";
 
-      transformations = new List<ITransformation>();
+      Transformations = new List<ITransformation>();
       selection = new Dictionary<int, IList<int>>();
 
@@ -166,5 +162,4 @@
 
     #region IPreprocessingData Members
-
     public abstract T GetCell<T>(int columnIndex, int rowIndex);
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/TransactionalPreprocessingData.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/TransactionalPreprocessingData.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Data/TransactionalPreprocessingData.cs	(revision 14996)
@@ -33,5 +33,4 @@
   [Item("PreprocessingData", "Represents data used for preprocessing.")]
   public class TransactionalPreprocessingData : PreprocessingData, ITransactionalPreprocessingData {
-
     private class Snapshot {
       public IList<IList> VariableValues { get; set; }
@@ -70,5 +69,5 @@
         TrainingPartition = new IntRange(TrainingPartition.Start, TrainingPartition.End),
         TestPartition = new IntRange(TestPartition.Start, TestPartition.End),
-        Transformations = new List<ITransformation>(transformations),
+        Transformations = new List<ITransformation>(Transformations),
         ChangedType = changedType,
         ChangedColumn = column,
@@ -83,13 +82,10 @@
 
     #region NamedItem abstract Member Implementations
-
     public override IDeepCloneable Clone(Cloner cloner) {
       return new TransactionalPreprocessingData(this, cloner);
     }
-
     #endregion
 
     #region Overridden IPreprocessingData Members
-
     public override T GetCell<T>(int columnIndex, int rowIndex) {
       return (T)variableValues[columnIndex][rowIndex];
@@ -216,5 +212,4 @@
     }
 
-
     public override void InsertRow(int rowIndex) {
       SaveSnapshot(DataPreprocessingChangedEventType.DeleteRow, -1, rowIndex);
@@ -346,5 +341,4 @@
 
     #region TransactionalPreprocessingData members
-
     public bool IsUndoAvailable {
       get { return undoHistory.Count > 0; }
@@ -358,5 +352,5 @@
         TrainingPartition = previousSnapshot.TrainingPartition;
         TestPartition = previousSnapshot.TestPartition;
-        transformations = previousSnapshot.Transformations;
+        Transformations = previousSnapshot.Transformations;
         undoHistory.Remove(previousSnapshot);
         OnChanged(previousSnapshot.ChangedType,
@@ -384,5 +378,4 @@
       OnChanged(@event, -1, -1);
     }
-
     #endregion
   }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/Filter/ComparisonFilter.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/Filter/ComparisonFilter.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/Filter/ComparisonFilter.cs	(revision 14996)
@@ -30,5 +30,4 @@
   [Item("ComparisonFilter", "A filter which compares the member of the preprocessing data with the constraint data.")]
   public class ComparisonFilter : ComparisonConstraint, IFilter {
-
     public override string ItemName {
       get { return "ComparisonFilter"; }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/FilterLogic.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/FilterLogic.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/FilterLogic.cs	(revision 14996)
@@ -27,11 +27,8 @@
 namespace HeuristicLab.DataPreprocessing {
   public class FilterLogic {
-
     public IFilteredPreprocessingData PreprocessingData { get; private set; }
 
     public bool IsFiltered {
-      get {
-        return PreprocessingData.IsFiltered;
-      }
+      get { return PreprocessingData.IsFiltered; }
     }
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/ManipulationLogic.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/ManipulationLogic.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/ManipulationLogic.cs	(revision 14996)
@@ -39,6 +39,6 @@
     }
 
-    public ManipulationLogic(ITransactionalPreprocessingData _prepocessingData, SearchLogic theSearchLogic, StatisticsLogic theStatisticsLogic) {
-      preprocessingData = _prepocessingData;
+    public ManipulationLogic(ITransactionalPreprocessingData preprocessingData, SearchLogic theSearchLogic, StatisticsLogic theStatisticsLogic) {
+      this.preprocessingData = preprocessingData;
       searchLogic = theSearchLogic;
       statisticsLogic = theStatisticsLogic;
@@ -108,11 +108,4 @@
       preprocessingData.InTransaction(() => {
         foreach (var column in cells) {
-          int countValues = 0;
-          if (preprocessingData.VariableHasType<double>(column.Key)) {
-            countValues = preprocessingData.GetValues<double>(column.Key).Count();
-          } else if (preprocessingData.VariableHasType<DateTime>(column.Key)) {
-            countValues = preprocessingData.GetValues<DateTime>(column.Key).Count();
-          }
-
           IList<Tuple<int, int>> startEndings = GetStartAndEndingsForInterpolation(column);
           foreach (var tuple in startEndings) {
@@ -266,9 +259,9 @@
         for (int i = 0; i < preprocessingData.Columns; ++i) {
           if (preprocessingData.VariableHasType<double>(i)) {
-            reOrderToIndices<double>(i, indices);
+            ReOrderToIndices<double>(i, indices);
           } else if (preprocessingData.VariableHasType<string>(i)) {
-            reOrderToIndices<string>(i, indices);
+            ReOrderToIndices<string>(i, indices);
           } else if (preprocessingData.VariableHasType<DateTime>(i)) {
-            reOrderToIndices<DateTime>(i, indices);
+            ReOrderToIndices<DateTime>(i, indices);
           }
         }
@@ -290,6 +283,5 @@
     }
 
-    private void reOrderToIndices<T>(int columnIndex, IList<Tuple<int, int>> indices) {
-
+    private void ReOrderToIndices<T>(int columnIndex, IList<Tuple<int, int>> indices) {
       List<T> originalData = new List<T>(preprocessingData.GetValues<T>(columnIndex));
 
@@ -330,5 +322,4 @@
 
     public List<int> RowsWithMissingValuesGreater(double percent) {
-
       List<int> rows = new List<int>();
 
@@ -344,5 +335,4 @@
 
     public List<int> ColumnsWithMissingValuesGreater(double percent) {
-
       List<int> columns = new List<int>();
       for (int i = 0; i < preprocessingData.Columns; ++i) {
@@ -357,5 +347,4 @@
 
     public List<int> ColumnsWithVarianceSmaller(double variance) {
-
       List<int> columns = new List<int>();
       for (int i = 0; i < preprocessingData.Columns; ++i) {
@@ -401,5 +390,4 @@
       });
     }
-
   }
 }
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/StatisticsLogic.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/StatisticsLogic.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/Logic/StatisticsLogic.cs	(revision 14996)
@@ -27,5 +27,4 @@
 namespace HeuristicLab.DataPreprocessing {
   public class StatisticsLogic {
-
     private readonly ITransactionalPreprocessingData preprocessingData;
     private readonly SearchLogic searchLogic;
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/PreprocessingContext.cs	(revision 14996)
@@ -32,5 +32,4 @@
   [StorableClass]
   public class PreprocessingContext : NamedItem, IStorableContent {
-
     public string Filename { get; set; }
 
Index: branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/ProblemDataCreator.cs
===================================================================
--- branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/ProblemDataCreator.cs	(revision 14994)
+++ branches/DataPreprocessing Enhancements/HeuristicLab.DataPreprocessing/3.4/ProblemDataCreator.cs	(revision 14996)
@@ -28,14 +28,13 @@
 namespace HeuristicLab.DataPreprocessing {
   public class ProblemDataCreator {
-
     private readonly PreprocessingContext context;
 
     private Dataset ExportedDataset {
-      get {
-        return context.Data.ExportToDataset();
-      }
+      get { return context.Data.ExportToDataset(); }
     }
 
-    private IList<ITransformation> Transformations { get { return context.Data.Transformations; } }
+    private IList<ITransformation> Transformations {
+      get { return context.Data.Transformations; }
+    }
 
     public ProblemDataCreator(PreprocessingContext context) {
